Subject: [alpine-user] chroot install

From: [email-masked]
Date: Sun, 21 Apr 2019 13:28:55 +0300

Hi,

I've been trying to install alpine linux on a disk image using the 
chroot method.
I used the rootfs alpine-minirootfs-3.9.3-x86_64.tar.gz and installed 
kernel, syslinux and alpine-base.
Configured syslinux, fstab and added services with rc-update.
It starts up and works well if I use the root user, but with a normal I 
can't login:

login: can't change directory to '/home/username'
login: can't change directory to '/': Permission denied

I can't see any obvious permission issues.

Any advice on how to create a full disk image that could be scripted 
from a build machine would be appreciated.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---